
_set_up:

;Exp_12.c,24 :: 		void set_up() {
;Exp_12.c,26 :: 		ANSEL = 0;    // RA0, RA2 and RA3 set as analog inputs
	CLRF       ANSEL+0
;Exp_12.c,27 :: 		ANSELH = 0;      // Rest of the pins set as digital inputs or outputs.
	CLRF       ANSELH+0
;Exp_12.c,28 :: 		TRISA=0x0F;
	MOVLW      15
	MOVWF      TRISA+0
;Exp_12.c,29 :: 		PORTA=0x00;
	CLRF       PORTA+0
;Exp_12.c,30 :: 		TRISB0_bit=0;
	BCF        TRISB0_bit+0, BitPos(TRISB0_bit+0)
;Exp_12.c,31 :: 		TRISB1_bit=1;
	BSF        TRISB1_bit+0, BitPos(TRISB1_bit+0)
;Exp_12.c,32 :: 		TRISE0_bit=1;
	BSF        TRISE0_bit+0, BitPos(TRISE0_bit+0)
;Exp_12.c,33 :: 		intcon=0x00;
	CLRF       INTCON+0
;Exp_12.c,34 :: 		CM1CON0=0xC0;
	MOVLW      192
	MOVWF      CM1CON0+0
;Exp_12.c,35 :: 		Lcd_Init(); // LCD display initialization
	CALL       _Lcd_Init+0
;Exp_12.c,36 :: 		Lcd_Cmd(_LCD_CURSOR_OFF); // LCD command (cursor off)
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;Exp_12.c,37 :: 		Lcd_Cmd(_LCD_CLEAR); // LCD command (clear LCD)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;Exp_12.c,38 :: 		RB0_bit=0;
	BCF        RB0_bit+0, BitPos(RB0_bit+0)
;Exp_12.c,40 :: 		}
L_end_set_up:
	RETURN
; end of _set_up

_main:

;Exp_12.c,42 :: 		void main() {
;Exp_12.c,43 :: 		set_up();
	CALL       _set_up+0
;Exp_12.c,44 :: 		i=0;
	CLRF       _i+0
	CLRF       _i+1
	CLRF       _i+2
	CLRF       _i+3
;Exp_12.c,45 :: 		RB0_bit=0;
	BCF        RB0_bit+0, BitPos(RB0_bit+0)
;Exp_12.c,46 :: 		delay_ms(300);
	MOVLW      2
	MOVWF      R11+0
	MOVLW      134
	MOVWF      R12+0
	MOVLW      153
	MOVWF      R13+0
L_main0:
	DECFSZ     R13+0, 1
	GOTO       L_main0
	DECFSZ     R12+0, 1
	GOTO       L_main0
	DECFSZ     R11+0, 1
	GOTO       L_main0
;Exp_12.c,47 :: 		while(1)  {
L_main1:
;Exp_12.c,48 :: 		Lcd_Out(1,4,"waiting...");
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      4
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr1_Exp_12+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Exp_12.c,49 :: 		if(PORTB.B1==1) {
	BTFSS      PORTB+0, 1
	GOTO       L_main3
;Exp_12.c,50 :: 		while(PORTB.B1==1);
L_main4:
	BTFSS      PORTB+0, 1
	GOTO       L_main5
	GOTO       L_main4
L_main5:
;Exp_12.c,51 :: 		Lcd_Out(1,4,"Reading...");
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      4
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr2_Exp_12+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Exp_12.c,52 :: 		if(CM1CON0.C1OUT==0) RB0_bit=1;
	BTFSC      CM1CON0+0, 6
	GOTO       L_main6
	BSF        RB0_bit+0, BitPos(RB0_bit+0)
L_main6:
;Exp_12.c,53 :: 		while(CM1CON0.C1OUT==0){
L_main7:
	BTFSC      CM1CON0+0, 6
	GOTO       L_main8
;Exp_12.c,54 :: 		i++;
	MOVF       _i+0, 0
	MOVWF      R0+0
	MOVF       _i+1, 0
	MOVWF      R0+1
	MOVF       _i+2, 0
	MOVWF      R0+2
	MOVF       _i+3, 0
	MOVWF      R0+3
	INCF       R0+0, 1
	BTFSC      STATUS+0, 2
	INCF       R0+1, 1
	BTFSC      STATUS+0, 2
	INCF       R0+2, 1
	BTFSC      STATUS+0, 2
	INCF       R0+3, 1
	MOVF       R0+0, 0
	MOVWF      _i+0
	MOVF       R0+1, 0
	MOVWF      _i+1
	MOVF       R0+2, 0
	MOVWF      _i+2
	MOVF       R0+3, 0
	MOVWF      _i+3
;Exp_12.c,55 :: 		asm nop;
	NOP
;Exp_12.c,56 :: 		}
	GOTO       L_main7
L_main8:
;Exp_12.c,57 :: 		if(PORTE.B0==0) {
	BTFSC      PORTE+0, 0
	GOTO       L_main9
;Exp_12.c,58 :: 		capacitor=(i*0.0033); //i*[(100/(VIN0*R1))/((fclk*1x10^-6)/4)]
	MOVF       _i+0, 0
	MOVWF      R0+0
	MOVF       _i+1, 0
	MOVWF      R0+1
	MOVF       _i+2, 0
	MOVWF      R0+2
	MOVF       _i+3, 0
	MOVWF      R0+3
	CALL       _longint2double+0
	MOVLW      208
	MOVWF      R4+0
	MOVLW      68
	MOVWF      R4+1
	MOVLW      88
	MOVWF      R4+2
	MOVLW      118
	MOVWF      R4+3
	CALL       _Mul_32x32_FP+0
	MOVF       R0+0, 0
	MOVWF      _capacitor+0
	MOVF       R0+1, 0
	MOVWF      _capacitor+1
	MOVF       R0+2, 0
	MOVWF      _capacitor+2
	MOVF       R0+3, 0
	MOVWF      _capacitor+3
;Exp_12.c,59 :: 		FloatToStr(capacitor, txt);
	MOVF       R0+0, 0
	MOVWF      FARG_FloatToStr_fnum+0
	MOVF       R0+1, 0
	MOVWF      FARG_FloatToStr_fnum+1
	MOVF       R0+2, 0
	MOVWF      FARG_FloatToStr_fnum+2
	MOVF       R0+3, 0
	MOVWF      FARG_FloatToStr_fnum+3
	MOVLW      _txt+0
	MOVWF      FARG_FloatToStr_str+0
	CALL       _FloatToStr+0
;Exp_12.c,60 :: 		Lcd_Out(2,4,txt);
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      4
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _txt+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Exp_12.c,61 :: 		Lcd_Out(2,14,"uF");
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      14
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr3_Exp_12+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Exp_12.c,62 :: 		i=0;
	CLRF       _i+0
	CLRF       _i+1
	CLRF       _i+2
	CLRF       _i+3
;Exp_12.c,63 :: 		RB0_bit=0;
	BCF        RB0_bit+0, BitPos(RB0_bit+0)
;Exp_12.c,64 :: 		}
L_main9:
;Exp_12.c,65 :: 		if(PORTE.B0==1) {
	BTFSS      PORTE+0, 0
	GOTO       L_main10
;Exp_12.c,66 :: 		capacitor=(i*3.3); //*1000i*[(100/(VIN0*R1))/((fclk*1x10^-6)/4)]
	MOVF       _i+0, 0
	MOVWF      R0+0
	MOVF       _i+1, 0
	MOVWF      R0+1
	MOVF       _i+2, 0
	MOVWF      R0+2
	MOVF       _i+3, 0
	MOVWF      R0+3
	CALL       _longint2double+0
	MOVLW      51
	MOVWF      R4+0
	MOVLW      51
	MOVWF      R4+1
	MOVLW      83
	MOVWF      R4+2
	MOVLW      128
	MOVWF      R4+3
	CALL       _Mul_32x32_FP+0
	MOVF       R0+0, 0
	MOVWF      _capacitor+0
	MOVF       R0+1, 0
	MOVWF      _capacitor+1
	MOVF       R0+2, 0
	MOVWF      _capacitor+2
	MOVF       R0+3, 0
	MOVWF      _capacitor+3
;Exp_12.c,67 :: 		FloatToStr(capacitor, txt);
	MOVF       R0+0, 0
	MOVWF      FARG_FloatToStr_fnum+0
	MOVF       R0+1, 0
	MOVWF      FARG_FloatToStr_fnum+1
	MOVF       R0+2, 0
	MOVWF      FARG_FloatToStr_fnum+2
	MOVF       R0+3, 0
	MOVWF      FARG_FloatToStr_fnum+3
	MOVLW      _txt+0
	MOVWF      FARG_FloatToStr_str+0
	CALL       _FloatToStr+0
;Exp_12.c,68 :: 		Lcd_Out(2,4,txt);
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      4
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _txt+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Exp_12.c,69 :: 		Lcd_Out(2,14,"nF");
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      14
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr4_Exp_12+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Exp_12.c,70 :: 		i=0;
	CLRF       _i+0
	CLRF       _i+1
	CLRF       _i+2
	CLRF       _i+3
;Exp_12.c,71 :: 		RB0_bit=0;
	BCF        RB0_bit+0, BitPos(RB0_bit+0)
;Exp_12.c,72 :: 		}
L_main10:
;Exp_12.c,73 :: 		}
L_main3:
;Exp_12.c,74 :: 		delay_ms(1000);
	MOVLW      6
	MOVWF      R11+0
	MOVLW      19
	MOVWF      R12+0
	MOVLW      173
	MOVWF      R13+0
L_main11:
	DECFSZ     R13+0, 1
	GOTO       L_main11
	DECFSZ     R12+0, 1
	GOTO       L_main11
	DECFSZ     R11+0, 1
	GOTO       L_main11
	NOP
	NOP
;Exp_12.c,76 :: 		}
	GOTO       L_main1
;Exp_12.c,78 :: 		}
L_end_main:
	GOTO       $+0
; end of _main
