


///////////LCD declarations.
sbit LCD_RS at RB2_bit;
sbit LCD_EN at RB3_bit;
sbit LCD_D4 at RB4_bit;
sbit LCD_D5 at RB5_bit;
sbit LCD_D6 at RB6_bit;
sbit LCD_D7 at RB7_bit;
sbit LCD_RS_Direction at TRISB2_bit;
sbit LCD_EN_Direction at TRISB3_bit;
sbit LCD_D4_Direction at TRISB4_bit;
sbit LCD_D5_Direction at TRISB5_bit;
sbit LCD_D6_Direction at TRISB6_bit;
sbit LCD_D7_Direction at TRISB7_bit;
///////////////////////////////////

long long i=0;
float capacitor=0;
short int s1=0;
char txt[15];

void set_up() {

ANSEL = 0;    // RA0, RA2 and RA3 set as analog inputs
ANSELH = 0;      // Rest of the pins set as digital inputs or outputs.
TRISA=0x0F;
PORTA=0x00;
TRISB0_bit=0;
TRISB1_bit=1;
TRISE0_bit=1;
intcon=0x00;
CM1CON0=0xC0;
Lcd_Init(); // LCD display initialization
Lcd_Cmd(_LCD_CURSOR_OFF); // LCD command (cursor off)
Lcd_Cmd(_LCD_CLEAR); // LCD command (clear LCD)
RB0_bit=0;

}

void main() {
set_up();
i=0;
RB0_bit=0;
delay_ms(300);
while(1)  {
Lcd_Out(1,4,"waiting...");
if(PORTB.B1==1) {
  while(PORTB.B1==1);
  Lcd_Out(1,4,"Reading...");
  if(CM1CON0.C1OUT==0) RB0_bit=1;
  while(CM1CON0.C1OUT==0){
   i++;
   asm nop;
   }
   if(PORTE.B0==0) {
   capacitor=(i*0.0033); //i*[(100/(VIN0*R1))/((fclk*1x10^-6)/4)]
   FloatToStr(capacitor, txt);
   Lcd_Out(2,4,txt);
   Lcd_Out(2,14,"uF");
    i=0;
   RB0_bit=0;
  }
   if(PORTE.B0==1) {
   capacitor=(i*3.3); //*1000i*[(100/(VIN0*R1))/((fclk*1x10^-6)/4)]
   FloatToStr(capacitor, txt);
   Lcd_Out(2,4,txt);
   Lcd_Out(2,14,"nF");
    i=0;
   RB0_bit=0;
  }
}
 delay_ms(1000);
 
}

}